Subject: [Catalina-22] [CRUISING] [GREAT LAKES] Video

From: "Robert Bemben" <[email-masked]>
Date: Fri, 14 Sep 2007 23:15:01 +0000

Here's another short video - of a day sail on the Straits of Mackinaw:

http://video.google.com/videoplay?docid=1999968231922472378&hl=en

BTW: The wind wasn't whistling that loud - microphone noise. Resolution of 
the video was much better before uploading it to google. Oh well. Enjoy.

Robert Bemben
Bliss Twp., Michigan
1991 C22 wing keel
Sail #15185
"Jib Dance"

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/